e<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>Thomson-Minimal Portfolio</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="plugins/counto/animate.css">
  <link rel="stylesheet" href="plugins/aos/aos.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="css/style.css" rel="stylesheet">

</head>

<body>
  <style>
  body {
      background-color: ##efefef;

  }
  </style>
<!-- Header Start -->

<nav class="navbar navbar-expand-lg  main-nav " id="navbar">
	<div class="container">
	  <a class="navbar-brand" href="simpletemplate/index.html">

      <div align="center">
        <img src="images/logonaty.png" style= "width: 50px" align="center" >

      </div>
	  </a>

	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
		<span class="ti-align-justify"></span>
	  </button>

		  <div class="collapse navbar-collapse" id="navbarsExample09">
			<ul class="navbar-nav ml-auto">
         <li class="nav-item  active"><a class="nav-link" href="introductiontodigitalfabrication.html">Return</a></li>
			  <li class="nav-item  active"><a class="nav-link" href="index.html">Main Page</a></li>

         <li class="nav-item  active"><a class="nav-link" href="about.html">About Me</a></li>



			   <li class="nav-item"><a class="nav-link" href="https://gitlab.com/flu">Gitlab Repo</a></li>
			</ul>
		</div>
	</div>
</nav>





<!-- Header Close -->




  <div class="container">
<!-- <div class="col-12"> -->

      <!-- </div> -->



<div class="col-lg-12 col-xs-12">
<section class="section blog-post" style="padding: 100px 180px;">
	<div class="container">
		<div class="row">
			<!-- <div class="col-lg-6"> -->
				<article class="single-post">
          <div class= "middle" align="justify">
            <h9> Networking and communications </h9>

            <h8> 9.5.2020</h8>
            <p>
            </p>
            <p> This week in fabacademy was all about networking and communications. We have learnt about different protocols through which microcontrollers are able to talk to each other. We have learnt about synchronous and asynchronous communication, about frequencies in OTA communication and also about how antennas work. </p>
            <p> This class definetely made me think about IoT and made me understand how it works better. </p>
            <p> The task of this week was to use the knowledge and applied it through sending data to common network in which one users outputs can respond to other users inputs. This could be done even on great distance as data are from the board sent through Wifi to the network and stored there. </p>
            <p> This week asssignment was therefore, understandably, done in a group remote class. </p>
            <p> At the beginning of the class, a lecturer introduced us to IFTT.com - a platform that allows the user to connect the services together to create new experiences. There are hundreds of platforms that use can create the communication between as well as already premade connections. Through this platform, one can for example make his phone send notifications every time it rains in his area (connection to the weather forecast.)
and many more! </p>
<p> </p>
<p> For communication we used MQTT. MQTT is an publish.subscribe architecture which enables messages to be pushed to clients. The central communication point is the MQTT broker, it is in charge of dispatching all messages between the senders and the rightful receivers. </p>
<p> Fabacademy tutors had already the dashboard for seeing the data sent premade, they created network using one of the tutors home internet data and privately sent the data to us, they had to be careful as any hacker could connect and use this information. </p>

<p> Some people could use their boards with wifi, however, my board does not have wifi (which I had not realised and first and had to be notified about) therefore for my connection I had to use python. </p>
<p> This was the first issue I had, despite not having wifi on my board I was trying to connect my board to the wifi </p>
<img src="images/stupid.jpg" style= "width: 700px" align="center">
<img src="images/stupid2.jpg" style= "width: 700px" align="center">


<p> To be perfectly honest, at the beginning of the session I had no idea what am I supposed to do and how. I have managed to edit the python code from the documentation <a href= "http://fabacademy.org/2020/labs/barcelona/local/#material/extras/week14/diynetworks" >here </a>
<p> It was very important to include correct broker, user and pass, port and the port for the arduino. </p>
  <img src="images/code1.jpg" style= "width: 700px" align="center">
  <p> As I did not know what to do, I was trying to put the code in terminal, and then in Python Idle. Both options were showing syntax error. I found out that I need to have the file first saved in computer as python file - .py , in terminal navigate to the location with saved file and call python3 example.py </p>

  <img src="images/pica.jpg" style= "width: 700px" align="center">
  <img src="images/pica3.jpg" style= "width: 700px" align="center">

  <p> I realised that I forgot to install paho-mqtt and therefore I had to do so. After this, Oscar Gonsalez also invited me to instal serials as that was another thing I forgot to do. </p>

  <img src="images/paho.jpg" style= "width: 700px" align="center">
  <p></p>
  <img src="images/serialw.jpg" style= "width: 700px" align="center">

<p> After this, I have appaered in the dashboard however, my data were not read and the dashboard showed only "sensor reading" the problem was that I was sending string instead of integer. And I had to edit this in the payload in code. </p>
<a href="images/example.py" download>CODE HERE!!! </a>
<br></br> 

<img src="images/sensorreading.jpg" style= "width: 700px" align="center">
<img src="images/code2.jpg" style= "width: 700px" align="center">
<p> After fixing this, it worked! My data from photocell were sent to the network and everyone could see them. Tutors created my input in the node. </p>
<img src="images/hura.jpg" style= "width: 700px" align="center">
<img src="images/node.jpg" style= "width: 700px" align="center">



<video width="700" height="320" controls>
  <source src="images/IMG_5407.mp4" type="video/mp4">
</video>








		<!-- <div class="post-meta mb-4">

		</div> -->
		<div class="share mt-4">
			<ul class="list-inline">
				<li class="mb-3">Share Now :</li>
				<li class="list-inline-item"><a href="#"><i class="ti-facebook mr-2"></i> Facebook</a></li>
				<li class="list-inline-item"><a href="#"><i class="ti-twitter mr-2"></i> Twitter</a></li>
				<li class="list-inline-item"><a href="#"><i class="ti-linkedin mr-2"></i> Linkedin</a></li>
				<li class="list-inline-item"><a href="#"><i class="ti-pinterest mr-2"></i> Pinterest</a></li>
			</ul>
		</div>
	</div>
  </article>


</div>
			</div>
		</div>
	</div>
</section>

<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
				<p class="mb-0">Copyrights © 2019. Designed & Developed by <a href="themefisher.com" class="text-white">Themefisher</a></p>
			</div>
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">
						<li class="list-inline-item"><a href="https://www.facebook.com/themefisher" target="_blank"><i class="ti-facebook mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://twitter.com/themefisher" target="_blank"><i class="ti-twitter mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://github.com/themefisher/" target="_blank"><i class="ti-github mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://www.pinterest.com/themefisher/" target="_blank"><i class="ti-pinterest mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://dribbble.com/themefisher/" target="_blank"><i class="ti-dribbble mr-3"></i></a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
